package com.cyl.manager.oms.pojo.query;

import com.cyl.manager.oms.service.OrderService;
import com.ruoyi.common.core.domain.IQuery;
import lombok.Setter;

import java.util.HashMap;
import java.util.Map;

/**
 * 预约订单服务详细信息记录表 查询 对象
 *
 * @author daixiande
 */
@Setter
public class OrderServiceQuery extends OrderService implements IQuery {
    /**
     * 搜索值
     */
    private String searchValue;

    /**
     * 请求参数
     */
    private Map<String, Object> params;

    @Override
    public String getSearchValue() {
        return this.searchValue;
    }

    @Override
    public Map<String, Object> getParams() {
        if (params == null) {
            params = new HashMap<>();
        }
        return params;
    }
}
